<template>
  <div>
    <div style="height:800px;overflow:auto">
      
        <embed v-if="this.model.docXML!=''" :src="pdf" type="application/pdf" height="100%" width="100%"/>
        <el-col :offset="4"><pre >{{this.model.docTXT}}</pre></el-col>
    </div>
     
  </div>
</template>

<script>
import Api from "~/service/Api"

export default {
  data(){
    return {
      model: {docXML:""},
      pdf:"data:application/pdf;base64,",
    }
  },
  created() {
    this.model.docXML = window.sessionStorage.docXML
    this.model.docTXT = window.sessionStorage.docTXT
    if(this.model.docXML!="")
    Api.post("pdf",{"xml":this.model.docXML}).then(res=>{
          if (res.respCode == "AAAAAA") {
            this.pdf += res.data
        }
    })
  }
  
}
</script>

<style scoped>
</style>